Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.laf
Class BasePropertyHandler

    java.lang.Object
      org.pentaho.di.laf.BasePropertyHandler

All Implemented Interfaces:
  LAFChangeListener<PropertyHandler>

    public class BasePropertyHandler

extends Object
implements LAFChangeListener<PropertyHandler>

This is a static accessor for the dynamic property loader and should be used by all classes requiring access to property files. The static accessor provides a notification from the LAFFactory when the concrete handler is changed at runtime should the LAF be changed.

Author:
  dhushon

Method Summary
`static BasePropertyHandler` | `getInstance()`
`static String` | `getProperty(String key)` return the value of a given key from the properties list
`static String` | `getProperty(String key, String defValue)` return the value of a given key from the properties list, returning the defValue string should the key not be found
`void` | `notify(PropertyHandler changedObject)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static BasePropertyHandler getInstance()

### getProperty

    public static String getProperty(String key)

  return the value of a given key from the properties list

  Parameters:
    `key` -
  Returns:
    null if the key is not found

### getProperty

    public static String getProperty(String key,
                                     String defValue)

  return the value of a given key from the properties list, returning the defValue string should the key not be found

  Parameters:
    `key` -
    `defValue` -
  Returns:
    a string representing either the value associated with the passed key or defValue should that key not be found

### notify

    public void notify(PropertyHandler changedObject)

  Specified by:
    `notify` in interface `LAFChangeListener<PropertyHandler>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD